Summary:	Key management application for SSH RSA/DSA keys
Summary(pl.UTF-8):	Zarządca kluczy RSA/DSA dla SSH
Name:		keychain
Version:	2.8.2
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://build.funtoo.org/distfiles/keychain/%{name}-%{version}.tar.bz2
# Source0-md5:	2e1eef5237926086ddf7af497bf49b26
URL:		http://www.funtoo.org/Keychain
BuildRequires:	perl-tools-pod
Requires:	openssh-clients
Requires:	sh-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Keychain is an extremely handy OpenSSH and commercial SSH2-compatible
RSA/DSA key management application. It acts as a front-end to
ssh-agent, allowing you to easily have one long-running ssh-agent
process per system, rather than per login session. This dramatically
reduces the number of times you need to enter your passphrase from
once per new login session to once every time your local machine is
rebooted.

%description -l pl.UTF-8
Keychain jest bardzo poręcznym narzędziem do zarządzania kluczami
RSA/DSA dla SSH, zgodnym z OpenSSH i komercyjnym SSH2. Działa jako
nakładka na ssh-agent pozwalając na posiadanie przez użytkownika
dokładnie jednego agenta w systemie zamiast jednego na każdą sesję,
dzięki czemu redukowana jest liczba pytań o hasło do kluczy.

%prep
%setup -q
%{__mv} keychain{,.sh}

%if 0
%build
%{__make} keychain.1 keychain
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p keychain.sh $RPM_BUILD_ROOT%{_bindir}/keychain
cp -p keychain.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.md
%attr(755,root,root) %{_bindir}/keychain
%{_mandir}/man1/keychain.1*
%changelog
* Sun Nov 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/keychain.git;a=log;h=master

* Sun Nov 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 8d78e54
- updated to 2.8.2

* Fri May 29 2015 Elan Ruusamäe <glen@delfi.ee> 7a0b560
- up to 2.8.1

* Tue May 26 2015 Elan Ruusamäe <glen@delfi.ee> a8a4dae
- fix patching release tarball

* Tue May 26 2015 Elan Ruusamäe <glen@delfi.ee> 29f69a0
- posix fix

* Mon May 25 2015 Elan Ruusamäe <glen@delfi.ee> 09ddbc9
- fix readme

* Mon May 25 2015 Elan Ruusamäe <glen@delfi.ee> e703634
- up to 2.8.0 (21 Mar 2015); Support for OpenSSH 6.8 fingerprints.

* Mon Jun 16 2014 Elan Ruusamäe <glen@delfi.ee> e3aae33
- update url

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> c82a74f
- BR: perl-tools-pod

* Mon Oct 18 2010 Elan Ruusamäe <glen@pld-linux.org> b0c154b
- up to 2.7.1

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> aece846
- release 2

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> f1974f7
- install manual

* Mon Oct 26 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> d6bfa82
- updated to 2.7.0

* Fri Aug 07 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 288d5fb
- updated to 2.6.9

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> a4bcc4c
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 760906e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f6f1182
- converted to UTF-8

* Sat Nov 25 2006 wrobell <wrobell@pld-linux.org> 49bc41c
- ver. 2.6.8

* Tue Jul 25 2006 Jacek Konieczny <jajcus@pld-linux.org> e4ea269
- Version: 2.6.2

* Fri Dec 09 2005 Elan Ruusamäe <glen@pld-linux.org> 02c7434
- 2.6.1

* Sat Jun 18 2005 Jacek Konieczny <jajcus@pld-linux.org> cdbc295
- Version: 2.5.4.1

